<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/settings/notifications/expansionnotificationsettings.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d1d/expansionnotificationsettings_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionnotificationsettings.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d1d/expansionnotificationsettings_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionNotificationSettings.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       ExpansionNotificationSettingsBase</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       Map settings base class</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d0/d9a/class_expansion_notification_settings_base.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d9a/class_expansion_notification_settings_base.html">ExpansionNotificationSettingsBase</a>: <a class="code hl_class" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d0/d9a/class_expansion_notification_settings_base.html#af550e67f1c13cdc5a9447f48a0daa3ed">   18</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d0/d9a/class_expansion_notification_settings_base.html#af550e67f1c13cdc5a9447f48a0daa3ed">EnableNotification</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d0/d9a/class_expansion_notification_settings_base.html#a6d47f46c9f78b4ec1b407aa20ba82881">   19</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d0/d9a/class_expansion_notification_settings_base.html#a6d47f46c9f78b4ec1b407aa20ba82881">ShowPlayerJoinServer</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d0/d9a/class_expansion_notification_settings_base.html#a0a48112708031000770a7ad1ff9c7cf6">   20</a></span>    <a class="code hl_enumeration" href="../../d2/dc1/expansionannouncementtype_8c.html#a1c7965d526c42e57fa42d93f1ade3d98">ExpansionAnnouncementType</a> <a class="code hl_variable" href="../../d0/d9a/class_expansion_notification_settings_base.html#a0a48112708031000770a7ad1ff9c7cf6">JoinMessageType</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d0/d9a/class_expansion_notification_settings_base.html#a580d304b217241b90df036f7e09b49ce">   21</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d0/d9a/class_expansion_notification_settings_base.html#a580d304b217241b90df036f7e09b49ce">ShowPlayerLeftServer</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d0/d9a/class_expansion_notification_settings_base.html#a1740232c122bb5a8e1a876a01efa9e7e">   22</a></span>    <a class="code hl_enumeration" href="../../d2/dc1/expansionannouncementtype_8c.html#a1c7965d526c42e57fa42d93f1ade3d98">ExpansionAnnouncementType</a> <a class="code hl_variable" href="../../d0/d9a/class_expansion_notification_settings_base.html#a1740232c122bb5a8e1a876a01efa9e7e">LeftMessageType</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="preprocessor">#ifdef EXPANSIONMODMISSIONS</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keywordtype">bool</span> ShowAirdropStarted;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="keywordtype">bool</span> ShowAirdropClosingOn;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="keywordtype">bool</span> ShowAirdropDropped;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="keywordtype">bool</span> ShowAirdropEnded;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="keywordtype">bool</span> ShowPlayerAirdropStarted;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="keywordtype">bool</span> ShowPlayerAirdropClosingOn;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="keywordtype">bool</span> ShowPlayerAirdropDropped;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#ifdef EXPANSIONMODBASEBUILDING</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="keywordtype">bool</span> ShowTerritoryNotifications;                <span class="comment">//! Show the notifications when entering or leaving territory.</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#ifdef EXPANSIONMODKILLFEED</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="keywordtype">bool</span> EnableKillFeed;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <a class="code hl_enumeration" href="../../d2/dc1/expansionannouncementtype_8c.html#a1c7965d526c42e57fa42d93f1ade3d98">ExpansionAnnouncementType</a> KillFeedMessageType;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="keywordtype">bool</span> KillFeedFall;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="keywordtype">bool</span> KillFeedCarHitDriver;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="keywordtype">bool</span> KillFeedCarHitNoDriver;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="keywordtype">bool</span> KillFeedCarCrash;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="keywordtype">bool</span> KillFeedCarCrashCrew;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="preprocessor">#ifdef EXPANSIONMODVEHICLE</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="keywordtype">bool</span> KillFeedHeliHitDriver;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="keywordtype">bool</span> KillFeedHeliHitNoDriver;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="keywordtype">bool</span> KillFeedHeliCrash;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="keywordtype">bool</span> KillFeedHeliCrashCrew;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="keywordtype">bool</span> KillFeedBoatHitDriver;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="keywordtype">bool</span> KillFeedBoatHitNoDriver;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <span class="keywordtype">bool</span> KillFeedBoatCrash;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="keywordtype">bool</span> KillFeedBoatCrashCrew;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">/*bool KillFeedPlaneHitDriver;</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment">    bool KillFeedPlaneHitNoDriver;</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment">    bool KillFeedBikeHitDriver;</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">    bool KillFeedBikeHitNoDriver;*/</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="keywordtype">bool</span> KillFeedBarbedWire;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="keywordtype">bool</span> KillFeedFire;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <span class="keywordtype">bool</span> KillFeedWeaponExplosion;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="keywordtype">bool</span> KillFeedDehydration;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="keywordtype">bool</span> KillFeedStarvation;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <span class="keywordtype">bool</span> KillFeedBleeding;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="keywordtype">bool</span> KillFeedStatusEffects;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="keywordtype">bool</span> KillFeedSuicide;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="keywordtype">bool</span> KillFeedWeapon;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="keywordtype">bool</span> KillFeedMeleeWeapon;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <span class="keywordtype">bool</span> KillFeedBarehands;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    <span class="keywordtype">bool</span> KillFeedInfected;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="keywordtype">bool</span> KillFeedAnimal;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="keywordtype">bool</span> KillFeedKilledUnknown;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="keywordtype">bool</span> KillFeedDiedUnknown;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="preprocessor">#ifdef JM_COT</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="keywordtype">bool</span> EnableKillFeedDiscordMsg;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>}</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="comment"></span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../d3/dcc/class_expansion_notification_settings.html">   81</a></span><span class="comment">/**@class       ExpansionNotificationSettings</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="comment"> * @brief       Notification settings class</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="keyword">class </span><a class="code hl_class" href="../../d3/dcc/class_expansion_notification_settings.html">ExpansionNotificationSettings</a>: <a class="code hl_class" href="../../d0/d9a/class_expansion_notification_settings_base.html">ExpansionNotificationSettingsBase</a></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>{   </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#ae48ea820d6b3acc7353b763034c772af">   86</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#ae48ea820d6b3acc7353b763034c772af">VERSION</a> = 4;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="preprocessor">#ifdef EXPANSIONMODKILLFEED</span><span class="comment"></span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span><span class="comment">    //! These are not implemented, uncomment once done</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="comment"></span>    <span class="comment">//bool ShowVictimOnKillFeed;</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="comment">//bool ShowDistanceOnKillFeed;</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <span class="comment">//bool ShowKillerOnKillFeed;</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="comment">//bool ShowWeaponOnKillFeed;</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    [NonSerialized()]</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#a5521ad2d5fb3360b7943c9cbc422642a">   97</a></span>    <span class="keyword">private</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a5521ad2d5fb3360b7943c9cbc422642a">m_IsLoaded</a>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#ad3b40db54d2496a26b3f62bf47e5b154">  100</a></span>    <span class="keywordtype">void</span> <a class="code hl_class" href="../../d3/dcc/class_expansion_notification_settings.html">ExpansionNotificationSettings</a>()</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#ae3e27fdaa6ddb0d424626c1f0b3aad2e">  105</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#acb05e5dc646314b2f581553e9bda8ff3">OnRecieve</a>( ParamsReadContext ctx )</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d2/d48/cf__trace_8c.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.SETTINGS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnRecieve&quot;</span>).Add(ctx);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <a class="code hl_class" href="../../d3/dcc/class_expansion_notification_settings.html">ExpansionNotificationSettings</a> setting;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="keywordflow">if</span> ( !ctx.Read( setting ) )</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <a class="code hl_function" href="../../de/dfc/expansionnotificationsystem_8c.html#a008eb1c448c351e3e58145acc877a40f">Error</a>(<span class="stringliteral">&quot;ExpansionNotificationSettings::OnRecieve setting&quot;</span>);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <a class="code hl_function" href="../../d6/d1d/expansionnotificationsettings_8c.html#a247ed07682cde6d4195b4c88c6b51199">CopyInternal</a>( setting );</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a5521ad2d5fb3360b7943c9cbc422642a">m_IsLoaded</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <a class="code hl_class" href="../../d5/d5b/class_expansion_settings.html">ExpansionSettings</a>.<a class="code hl_variable" href="../../d5/d5b/class_expansion_settings.html#acbdf65f6797e2926ba0078f63c2bd7aa">SI_Notification</a>.Invoke();</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#af2c207d1a6c5eea63c6296925ace1d76">  127</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#a2aed999982996895d90e70bff87271d3">OnSend</a>( ParamsWriteContext ctx )</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    {</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <a class="code hl_class" href="../../d3/dcc/class_expansion_notification_settings.html">ExpansionNotificationSettings</a> thisSetting = <span class="keyword">this</span>;</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        ctx.Write( thisSetting );</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#a8f26e3b21fa656c6d6048f82cfb30a72">  135</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#afd43d06c0590d6179f6f668ddfc6195b">Send</a>( PlayerIdentity identity )</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d2/d48/cf__trace_8c.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.SETTINGS, <span class="keyword">this</span>, <span class="stringliteral">&quot;Send&quot;</span>).Add(identity);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">if</span> ( !IsMissionHost() )</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        ScriptRPC rpc = <span class="keyword">new</span> ScriptRPC;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#a2aed999982996895d90e70bff87271d3">OnSend</a>( rpc );</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        rpc.Send( null, <a class="code hl_enumeration" href="../../d7/dfd/expansionrpc_8c.html#a2f909deb4892593626f98b201415d514">ExpansionSettingsRPC</a>.Notification, <span class="keyword">true</span>, identity );</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#a8bc9f37c8b51353bb7abe4a847ec9846">  154</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#a94a078402154b55ebee796629776ecfe">Copy</a>( <a class="code hl_class" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a> setting )</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        <a class="code hl_class" href="../../d3/dcc/class_expansion_notification_settings.html">ExpansionNotificationSettings</a> s;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">if</span> ( !Class.CastTo( s, setting ) )</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <a class="code hl_function" href="../../d6/d1d/expansionnotificationsettings_8c.html#a247ed07682cde6d4195b4c88c6b51199">CopyInternal</a>( s );</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#a247ed07682cde6d4195b4c88c6b51199">  165</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d1d/expansionnotificationsettings_8c.html#a247ed07682cde6d4195b4c88c6b51199">CopyInternal</a>(  <a class="code hl_class" href="../../d3/dcc/class_expansion_notification_settings.html">ExpansionNotificationSettings</a> s )</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    {</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span><span class="preprocessor">#ifdef EXPANSIONMODKILLFEED</span><span class="comment"></span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span><span class="comment">        //! These are not implemented, uncomment once done</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span><span class="comment"></span>        <span class="comment">//ShowDistanceOnKillFeed = s.ShowDistanceOnKillFeed;</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="comment">//ShowVictimOnKillFeed = s.ShowVictimOnKillFeed;</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="comment">//ShowKillerOnKillFeed = s.ShowKillerOnKillFeed;</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="comment">//ShowWeaponOnKillFeed = s.ShowWeaponOnKillFeed;</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <a class="code hl_class" href="../../d0/d9a/class_expansion_notification_settings_base.html">ExpansionNotificationSettingsBase</a> sb = s;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        <a class="code hl_function" href="../../d6/d1d/expansionnotificationsettings_8c.html#a247ed07682cde6d4195b4c88c6b51199">CopyInternal</a>( sb );</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#a61bb68e442a4997a411ccdd5f80c7006">  180</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d1d/expansionnotificationsettings_8c.html#a247ed07682cde6d4195b4c88c6b51199">CopyInternal</a>(  <a class="code hl_class" href="../../d0/d9a/class_expansion_notification_settings_base.html">ExpansionNotificationSettingsBase</a> s )</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    {</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a4ee6e59c4088f372f4d25371a6ed407c">EnableNotification</a> = s.<a class="code hl_variable" href="../../d0/d9a/class_expansion_notification_settings_base.html#af550e67f1c13cdc5a9447f48a0daa3ed">EnableNotification</a>;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a8c0083b3473c42bd6532690decbe7a78">ShowPlayerJoinServer</a> = s.<a class="code hl_variable" href="../../d0/d9a/class_expansion_notification_settings_base.html#a6d47f46c9f78b4ec1b407aa20ba82881">ShowPlayerJoinServer</a>;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a350ae408434f5d5df10efac29fe50e77">JoinMessageType</a> = s.<a class="code hl_variable" href="../../d0/d9a/class_expansion_notification_settings_base.html#a0a48112708031000770a7ad1ff9c7cf6">JoinMessageType</a>;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a33fe4177403ae72a4198c7730faf90c0">ShowPlayerLeftServer</a> = s.<a class="code hl_variable" href="../../d0/d9a/class_expansion_notification_settings_base.html#a580d304b217241b90df036f7e09b49ce">ShowPlayerLeftServer</a>;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a822167ba5946da697710409245682433">LeftMessageType</a> = s.<a class="code hl_variable" href="../../d0/d9a/class_expansion_notification_settings_base.html#a1740232c122bb5a8e1a876a01efa9e7e">LeftMessageType</a>;</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span> </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span><span class="preprocessor">#ifdef EXPANSIONMODMISSIONS</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        ShowAirdropStarted = s.ShowAirdropStarted;</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        ShowAirdropClosingOn = s.ShowAirdropClosingOn;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        ShowAirdropDropped = s.ShowAirdropDropped;</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        ShowAirdropEnded = s.ShowAirdropEnded;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        ShowPlayerAirdropStarted = s.ShowPlayerAirdropStarted;</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        ShowPlayerAirdropClosingOn = s.ShowPlayerAirdropClosingOn;</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        ShowPlayerAirdropDropped = s.ShowPlayerAirdropDropped;</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span><span class="preprocessor">#ifdef EXPANSIONMODBASEBUILDING</span></div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        ShowTerritoryNotifications = s.ShowTerritoryNotifications;</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span> </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span><span class="preprocessor">#ifdef EXPANSIONMODKILLFEED</span></div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        EnableKillFeed = s.EnableKillFeed;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        KillFeedMessageType = s.KillFeedMessageType;</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        KillFeedFall = s.KillFeedFall;</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        KillFeedCarHitDriver = s.KillFeedCarHitDriver;</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        KillFeedCarHitNoDriver = s.KillFeedCarHitNoDriver;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        KillFeedCarCrash = s.KillFeedCarCrash;</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        KillFeedCarCrashCrew = s.KillFeedCarCrashCrew;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span><span class="preprocessor">#ifdef EXPANSIONMODVEHICLE</span></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        KillFeedHeliHitDriver = s.KillFeedHeliHitDriver;</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        KillFeedHeliHitNoDriver = s.KillFeedHeliHitNoDriver;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        KillFeedHeliCrash = s.KillFeedHeliCrash;</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        KillFeedHeliCrashCrew = s.KillFeedHeliCrashCrew;</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        KillFeedBoatHitDriver = s.KillFeedBoatHitDriver;</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        KillFeedBoatHitNoDriver = s.KillFeedBoatHitNoDriver;</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        KillFeedBoatCrash = s.KillFeedBoatCrash;</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        KillFeedBoatCrashCrew = s.KillFeedBoatCrashCrew;</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        <span class="comment">/*KillFeedPlaneHitDriver = s.KillFeedPlaneHitDriver;</span></div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span><span class="comment">        KillFeedPlaneHitNoDriver = s.KillFeedPlaneHitNoDriver;</span></div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span><span class="comment">        KillFeedBikeHitDriver = s.KillFeedBikeHitDriver;</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span><span class="comment">        KillFeedBikeHitNoDriver = s.KillFeedBikeHitNoDriver;*/</span></div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        KillFeedBarbedWire = s.KillFeedBarbedWire;</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        KillFeedFire = s.KillFeedFire;</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        KillFeedWeaponExplosion = s.KillFeedWeaponExplosion;</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        KillFeedDehydration = s.KillFeedDehydration;</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        KillFeedStarvation = s.KillFeedStarvation;</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        KillFeedBleeding = s.KillFeedBleeding;</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        KillFeedStatusEffects = s.KillFeedStatusEffects;</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        KillFeedSuicide = s.KillFeedSuicide;</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        KillFeedWeapon = s.KillFeedWeapon;</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        KillFeedMeleeWeapon = s.KillFeedMeleeWeapon;</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        KillFeedBarehands = s.KillFeedBarehands;</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        KillFeedInfected = s.KillFeedInfected;</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        KillFeedAnimal = s.KillFeedAnimal;</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        KillFeedKilledUnknown = s.KillFeedKilledUnknown;</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        KillFeedDiedUnknown = s.KillFeedDiedUnknown;</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span><span class="preprocessor">#ifdef JM_COT</span></div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        EnableKillFeedDiscordMsg = s.EnableKillFeedDiscordMsg;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    }</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    </div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#ad9eab3191d8b7cc0f5414602631292b8">  246</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#a8d356fb5e72b05b84c90400345d88286">IsLoaded</a>()</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    {</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a5521ad2d5fb3360b7943c9cbc422642a">m_IsLoaded</a>;</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>    }</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span> </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#a064d4576e4b054e72d5de632a7d09a63">  252</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#af567e9cd8575d3e8619e78bc19b6b653">Unload</a>()</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    {</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a5521ad2d5fb3360b7943c9cbc422642a">m_IsLoaded</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    }</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#a3578afd97750bc428c2737e242dffd3d">  258</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#a3aed6bd52d610b59d7b94e3cd081a83b">OnLoad</a>()</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    {</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d2/d48/cf__trace_8c.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.SETTINGS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnLoad&quot;</span>);</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span> </div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a5521ad2d5fb3360b7943c9cbc422642a">m_IsLoaded</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span> </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>        <span class="keywordtype">bool</span> save;</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span> </div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>        <span class="keywordtype">bool</span> notificationSettingsExist = FileExist(<a class="code hl_variable" href="../../d4/d73/expansionconstants_8c.html#a06db7a6d7186f70450a327e170c14545">EXPANSION_NOTIFICATION_SETTINGS</a>);</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span> </div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>        <span class="keywordflow">if</span> (notificationSettingsExist)</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>        {</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>            <a class="code hl_function" href="../../d2/d36/expansionstatic_8c.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;[ExpansionNotificationSettings] Load existing setting file:&quot;</span> + <a class="code hl_variable" href="../../d4/d73/expansionconstants_8c.html#a06db7a6d7186f70450a327e170c14545">EXPANSION_NOTIFICATION_SETTINGS</a>);</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>            </div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>            <a class="code hl_class" href="../../d3/dcc/class_expansion_notification_settings.html">ExpansionNotificationSettings</a> settingsDefault = <span class="keyword">new</span> <a class="code hl_class" href="../../d3/dcc/class_expansion_notification_settings.html">ExpansionNotificationSettings</a>;</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>            settingsDefault.<a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#a9d3ac80f7dc4f5577bb1651bc7153a25">Defaults</a>();</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span> </div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>            <a class="code hl_class" href="../../d0/d9a/class_expansion_notification_settings_base.html">ExpansionNotificationSettingsBase</a> settingsBase;</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span> </div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>            JsonFileLoader&lt;ExpansionNotificationSettingsBase&gt;.JsonLoadFile(<a class="code hl_variable" href="../../d4/d73/expansionconstants_8c.html#a06db7a6d7186f70450a327e170c14545">EXPANSION_NOTIFICATION_SETTINGS</a>, settingsBase);</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span> </div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>            <span class="keywordflow">if</span> (settingsBase.<a class="code hl_variable" href="../../d1/d15/class_expansion_setting_base.html#ad541ae0da305802229fdbe9e5cf0cc0d">m_Version</a> &lt; <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#ae48ea820d6b3acc7353b763034c772af">VERSION</a>)</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>            {</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>                <span class="keywordflow">if</span> (settingsBase.<a class="code hl_variable" href="../../d1/d15/class_expansion_setting_base.html#ad541ae0da305802229fdbe9e5cf0cc0d">m_Version</a> &lt; 2)</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>                {</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>                    <a class="code hl_function" href="../../d2/d36/expansionstatic_8c.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;[ExpansionNotificationSettings] Load - Converting v1 \&quot;&quot;</span> + <a class="code hl_variable" href="../../d4/d73/expansionconstants_8c.html#a06db7a6d7186f70450a327e170c14545">EXPANSION_NOTIFICATION_SETTINGS</a> + <span class="stringliteral">&quot;\&quot; to v&quot;</span> + <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#ae48ea820d6b3acc7353b763034c772af">VERSION</a>);</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>                    <span class="comment"></span></div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span><span class="comment">                    //! New with v2</span></div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span><span class="comment"></span>                    <a class="code hl_function" href="../../d6/d1d/expansionnotificationsettings_8c.html#a247ed07682cde6d4195b4c88c6b51199">CopyInternal</a>(settingsDefault);</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>                }</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span><span class="comment"></span> </div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span><span class="comment">                //! Copy over old settings that haven&#39;t changed</span></div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span><span class="comment"></span>                <a class="code hl_function" href="../../d6/d1d/expansionnotificationsettings_8c.html#a247ed07682cde6d4195b4c88c6b51199">CopyInternal</a>(settingsBase);</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span> </div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span><span class="preprocessor">#ifdef EXPANSIONMODKILLFEED</span></div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span><span class="preprocessor">#ifdef EXPANSIONMODVEHICLE</span></div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>                <span class="keywordflow">if</span> (settingsBase.<a class="code hl_variable" href="../../d1/d15/class_expansion_setting_base.html#ad541ae0da305802229fdbe9e5cf0cc0d">m_Version</a> &lt; 3)</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>                {</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>                    KillFeedBoatHitDriver = settingsDefault.KillFeedBoatHitDriver;</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>                    KillFeedBoatHitNoDriver = settingsDefault.KillFeedBoatHitNoDriver;</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>                }</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span> </div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>                <span class="keywordflow">if</span> (settingsBase.<a class="code hl_variable" href="../../d1/d15/class_expansion_setting_base.html#ad541ae0da305802229fdbe9e5cf0cc0d">m_Version</a> &lt; 4)</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>                {</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>                    KillFeedStatusEffects = settingsDefault.KillFeedStatusEffects;</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>                }</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span> </div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>                <a class="code hl_variable" href="../../d1/d15/class_expansion_setting_base.html#ad541ae0da305802229fdbe9e5cf0cc0d">m_Version</a> = <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#ae48ea820d6b3acc7353b763034c772af">VERSION</a>;</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>                save = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>            }</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>            {</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>                JsonFileLoader&lt;ExpansionNotificationSettings&gt;.JsonLoadFile(<a class="code hl_variable" href="../../d4/d73/expansionconstants_8c.html#a06db7a6d7186f70450a327e170c14545">EXPANSION_NOTIFICATION_SETTINGS</a>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>            }</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span>        }</div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>        {</div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>            <a class="code hl_function" href="../../d2/d36/expansionstatic_8c.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;[ExpansionNotificationSettings] No existing setting file:&quot;</span> + <a class="code hl_variable" href="../../d4/d73/expansionconstants_8c.html#a06db7a6d7186f70450a327e170c14545">EXPANSION_NOTIFICATION_SETTINGS</a> + <span class="stringliteral">&quot;. Creating defaults!&quot;</span>);</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span>            <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#a9d3ac80f7dc4f5577bb1651bc7153a25">Defaults</a>();</div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span>            save = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span>        }</div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span>        </div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span>        <span class="keywordflow">if</span> (save)</div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span>            <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#a61d8e1b05f7a562841a0e9f037f80b51">Save</a>();</div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>                </div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span>        <span class="keywordflow">return</span> notificationSettingsExist;</div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span>    }</div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span>    </div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#a9fb9cc278f9d90f49e9dd9ce5ce40d43">  331</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#af60828b24959acd49f10e7f0e2d334ba">OnSave</a>()</div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span>    {</div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span>        Print(<span class="stringliteral">&quot;[ExpansionNotificationSettings] Saving settings&quot;</span>);</div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span> </div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span>        JsonFileLoader&lt;ExpansionNotificationSettings&gt;.JsonSaveFile( <a class="code hl_variable" href="../../d4/d73/expansionconstants_8c.html#a06db7a6d7186f70450a327e170c14545">EXPANSION_NOTIFICATION_SETTINGS</a>, <span class="keyword">this</span> );</div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span> </div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno">  337</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>    }</div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>    </div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#a11e21b32a7dc86b7de1044d01855cfcd">  341</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_enumvalue" href="../../d7/dfd/expansionrpc_8c.html#abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68">Update</a>( <a class="code hl_class" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a> setting )</div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span>    {</div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span>        super.Update( setting );</div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span> </div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span>        <a class="code hl_class" href="../../d5/d5b/class_expansion_settings.html">ExpansionSettings</a>.<a class="code hl_variable" href="../../d5/d5b/class_expansion_settings.html#acbdf65f6797e2926ba0078f63c2bd7aa">SI_Notification</a>.Invoke();</div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span>    }</div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span> </div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00349" name="l00349"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#ac06ab75f9e6f636d8b7c17685037667e">  349</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#a9d3ac80f7dc4f5577bb1651bc7153a25">Defaults</a>()</div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span>    {</div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno">  351</span>        <a class="code hl_variable" href="../../d1/d15/class_expansion_setting_base.html#ad541ae0da305802229fdbe9e5cf0cc0d">m_Version</a> = <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#ae48ea820d6b3acc7353b763034c772af">VERSION</a>;</div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span>        </div>
<div class="line"><a id="l00353" name="l00353"></a><span class="lineno">  353</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a4ee6e59c4088f372f4d25371a6ed407c">EnableNotification</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno">  354</span> </div>
<div class="line"><a id="l00355" name="l00355"></a><span class="lineno">  355</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a8c0083b3473c42bd6532690decbe7a78">ShowPlayerJoinServer</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00356" name="l00356"></a><span class="lineno">  356</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a350ae408434f5d5df10efac29fe50e77">JoinMessageType</a> = <a class="code hl_enumeration" href="../../d2/dc1/expansionannouncementtype_8c.html#a1c7965d526c42e57fa42d93f1ade3d98">ExpansionAnnouncementType</a>.NOTIFICATION;</div>
<div class="line"><a id="l00357" name="l00357"></a><span class="lineno">  357</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a33fe4177403ae72a4198c7730faf90c0">ShowPlayerLeftServer</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00358" name="l00358"></a><span class="lineno">  358</span>        <a class="code hl_variable" href="../../d6/d1d/expansionnotificationsettings_8c.html#a822167ba5946da697710409245682433">LeftMessageType</a> = <a class="code hl_enumeration" href="../../d2/dc1/expansionannouncementtype_8c.html#a1c7965d526c42e57fa42d93f1ade3d98">ExpansionAnnouncementType</a>.NOTIFICATION;</div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno">  359</span> </div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span><span class="preprocessor">#ifdef EXPANSIONMODMISSIONS</span></div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno">  361</span>        ShowAirdropStarted = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno">  362</span>        ShowAirdropClosingOn = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span>        ShowAirdropDropped = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span>        ShowAirdropEnded = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span>        ShowPlayerAirdropStarted = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno">  366</span>        ShowPlayerAirdropClosingOn = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span>        ShowPlayerAirdropDropped = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00368" name="l00368"></a><span class="lineno">  368</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00369" name="l00369"></a><span class="lineno">  369</span> </div>
<div class="line"><a id="l00370" name="l00370"></a><span class="lineno">  370</span><span class="preprocessor">#ifdef EXPANSIONMODBASEBUILDING</span></div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno">  371</span>        ShowTerritoryNotifications = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00373" name="l00373"></a><span class="lineno">  373</span> </div>
<div class="line"><a id="l00374" name="l00374"></a><span class="lineno">  374</span><span class="preprocessor">#ifdef EXPANSIONMODKILLFEED</span></div>
<div class="line"><a id="l00375" name="l00375"></a><span class="lineno">  375</span>        EnableKillFeed = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno">  376</span>        KillFeedMessageType = <a class="code hl_enumeration" href="../../d2/dc1/expansionannouncementtype_8c.html#a1c7965d526c42e57fa42d93f1ade3d98">ExpansionAnnouncementType</a>.NOTIFICATION;</div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span><span class="comment"></span> </div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span><span class="comment">        //! These are not implemented, uncomment once done</span></div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno">  379</span><span class="comment"></span>        <span class="comment">//ShowDistanceOnKillFeed = true;</span></div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span>        <span class="comment">//ShowVictimOnKillFeed = true;</span></div>
<div class="line"><a id="l00381" name="l00381"></a><span class="lineno">  381</span>        <span class="comment">//ShowKillerOnKillFeed = true;</span></div>
<div class="line"><a id="l00382" name="l00382"></a><span class="lineno">  382</span>        <span class="comment">//ShowWeaponOnKillFeed = true;</span></div>
<div class="line"><a id="l00383" name="l00383"></a><span class="lineno">  383</span>        </div>
<div class="line"><a id="l00384" name="l00384"></a><span class="lineno">  384</span>        KillFeedFall = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00385" name="l00385"></a><span class="lineno">  385</span>        KillFeedCarHitDriver = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00386" name="l00386"></a><span class="lineno">  386</span>        KillFeedCarHitNoDriver = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00387" name="l00387"></a><span class="lineno">  387</span>        KillFeedCarCrash = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00388" name="l00388"></a><span class="lineno">  388</span>        KillFeedCarCrashCrew = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00389" name="l00389"></a><span class="lineno">  389</span><span class="preprocessor">#ifdef EXPANSIONMODVEHICLE</span></div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno">  390</span>        KillFeedHeliHitDriver = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00391" name="l00391"></a><span class="lineno">  391</span>        KillFeedHeliHitNoDriver = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00392" name="l00392"></a><span class="lineno">  392</span>        KillFeedHeliCrash = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00393" name="l00393"></a><span class="lineno">  393</span>        KillFeedHeliCrashCrew = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno">  394</span>        KillFeedBoatHitDriver = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00395" name="l00395"></a><span class="lineno">  395</span>        KillFeedBoatHitNoDriver = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00396" name="l00396"></a><span class="lineno">  396</span>        KillFeedBoatCrash = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00397" name="l00397"></a><span class="lineno">  397</span>        KillFeedBoatCrashCrew = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00398" name="l00398"></a><span class="lineno">  398</span>        <span class="comment">/*KillFeedPlaneHitDriver = true;</span></div>
<div class="line"><a id="l00399" name="l00399"></a><span class="lineno">  399</span><span class="comment">        KillFeedPlaneHitNoDriver = true;</span></div>
<div class="line"><a id="l00400" name="l00400"></a><span class="lineno">  400</span><span class="comment">        KillFeedBikeHitDriver = true;</span></div>
<div class="line"><a id="l00401" name="l00401"></a><span class="lineno">  401</span><span class="comment">        KillFeedBikeHitNoDriver = true;*/</span></div>
<div class="line"><a id="l00402" name="l00402"></a><span class="lineno">  402</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00403" name="l00403"></a><span class="lineno">  403</span>        KillFeedBarbedWire = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00404" name="l00404"></a><span class="lineno">  404</span>        KillFeedFire = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00405" name="l00405"></a><span class="lineno">  405</span>        KillFeedWeaponExplosion = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00406" name="l00406"></a><span class="lineno">  406</span>        KillFeedDehydration = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00407" name="l00407"></a><span class="lineno">  407</span>        KillFeedStarvation = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00408" name="l00408"></a><span class="lineno">  408</span>        KillFeedBleeding = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00409" name="l00409"></a><span class="lineno">  409</span>        KillFeedStatusEffects = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00410" name="l00410"></a><span class="lineno">  410</span>        KillFeedSuicide = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00411" name="l00411"></a><span class="lineno">  411</span>        KillFeedWeapon = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00412" name="l00412"></a><span class="lineno">  412</span>        KillFeedMeleeWeapon = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00413" name="l00413"></a><span class="lineno">  413</span>        KillFeedBarehands = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00414" name="l00414"></a><span class="lineno">  414</span>        KillFeedInfected = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00415" name="l00415"></a><span class="lineno">  415</span>        KillFeedAnimal = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00416" name="l00416"></a><span class="lineno">  416</span>        KillFeedKilledUnknown = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00417" name="l00417"></a><span class="lineno">  417</span>        KillFeedDiedUnknown = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00418" name="l00418"></a><span class="lineno">  418</span> </div>
<div class="line"><a id="l00419" name="l00419"></a><span class="lineno">  419</span><span class="preprocessor">#ifdef JM_COT</span></div>
<div class="line"><a id="l00420" name="l00420"></a><span class="lineno">  420</span>        EnableKillFeedDiscordMsg = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00421" name="l00421"></a><span class="lineno">  421</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00422" name="l00422"></a><span class="lineno">  422</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00423" name="l00423"></a><span class="lineno">  423</span>    }</div>
<div class="line"><a id="l00424" name="l00424"></a><span class="lineno">  424</span>    </div>
<div class="line"><a id="l00425" name="l00425"></a><span class="lineno">  425</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00426" name="l00426"></a><span class="lineno"><a class="line" href="../../d6/d1d/expansionnotificationsettings_8c.html#a46ab2e61c4bb8c8b19c3aece63908a50">  426</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d1/d15/class_expansion_setting_base.html#a5b8e2387d7a0c23ca9eb8b50a6d3f529">SettingName</a>()</div>
<div class="line"><a id="l00427" name="l00427"></a><span class="lineno">  427</span>    {</div>
<div class="line"><a id="l00428" name="l00428"></a><span class="lineno">  428</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Notification Settings&quot;</span>;</div>
<div class="line"><a id="l00429" name="l00429"></a><span class="lineno">  429</span>    }</div>
<div class="line"><a id="l00430" name="l00430"></a><span class="lineno">  430</span>};</div>
<div class="ttc" id="acf__trace_8c_html_a2dbd0d5f5331e4721875b123084eb0df"><div class="ttname"><a href="../../d2/d48/cf__trace_8c.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a></div><div class="ttdeci">static CF_Trace CF_Trace_1(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d48/cf__trace_8c_source.html#l00075">cf_trace.c:75</a></div></div>
<div class="ttc" id="acf__trace_8c_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d2/d48/cf__trace_8c.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d48/cf__trace_8c_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aclass_expansion_notification_settings_base_html"><div class="ttname"><a href="../../d0/d9a/class_expansion_notification_settings_base.html">ExpansionNotificationSettingsBase</a></div><div class="ttdoc">Map settings base class.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00016">expansionnotificationsettings.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_notification_settings_base_html_a0a48112708031000770a7ad1ff9c7cf6"><div class="ttname"><a href="../../d0/d9a/class_expansion_notification_settings_base.html#a0a48112708031000770a7ad1ff9c7cf6">ExpansionNotificationSettingsBase::JoinMessageType</a></div><div class="ttdeci">ExpansionAnnouncementType JoinMessageType</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00020">expansionnotificationsettings.c:20</a></div></div>
<div class="ttc" id="aclass_expansion_notification_settings_base_html_a1740232c122bb5a8e1a876a01efa9e7e"><div class="ttname"><a href="../../d0/d9a/class_expansion_notification_settings_base.html#a1740232c122bb5a8e1a876a01efa9e7e">ExpansionNotificationSettingsBase::LeftMessageType</a></div><div class="ttdeci">ExpansionAnnouncementType LeftMessageType</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00022">expansionnotificationsettings.c:22</a></div></div>
<div class="ttc" id="aclass_expansion_notification_settings_base_html_a580d304b217241b90df036f7e09b49ce"><div class="ttname"><a href="../../d0/d9a/class_expansion_notification_settings_base.html#a580d304b217241b90df036f7e09b49ce">ExpansionNotificationSettingsBase::ShowPlayerLeftServer</a></div><div class="ttdeci">bool ShowPlayerLeftServer</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00021">expansionnotificationsettings.c:21</a></div></div>
<div class="ttc" id="aclass_expansion_notification_settings_base_html_a6d47f46c9f78b4ec1b407aa20ba82881"><div class="ttname"><a href="../../d0/d9a/class_expansion_notification_settings_base.html#a6d47f46c9f78b4ec1b407aa20ba82881">ExpansionNotificationSettingsBase::ShowPlayerJoinServer</a></div><div class="ttdeci">bool ShowPlayerJoinServer</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00019">expansionnotificationsettings.c:19</a></div></div>
<div class="ttc" id="aclass_expansion_notification_settings_base_html_af550e67f1c13cdc5a9447f48a0daa3ed"><div class="ttname"><a href="../../d0/d9a/class_expansion_notification_settings_base.html#af550e67f1c13cdc5a9447f48a0daa3ed">ExpansionNotificationSettingsBase::EnableNotification</a></div><div class="ttdeci">bool EnableNotification</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00018">expansionnotificationsettings.c:18</a></div></div>
<div class="ttc" id="aclass_expansion_notification_settings_html"><div class="ttname"><a href="../../d3/dcc/class_expansion_notification_settings.html">ExpansionNotificationSettings</a></div><div class="ttdoc">Notification settings class.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00081">expansionnotificationsettings.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00013">expansionsettingbase.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_a2aed999982996895d90e70bff87271d3"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#a2aed999982996895d90e70bff87271d3">ExpansionSettingBase::OnSend</a></div><div class="ttdeci">void OnSend(ParamsWriteContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00032">expansionsettingbase.c:32</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_a3aed6bd52d610b59d7b94e3cd081a83b"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#a3aed6bd52d610b59d7b94e3cd081a83b">ExpansionSettingBase::OnLoad</a></div><div class="ttdeci">protected bool OnLoad()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00048">expansionsettingbase.c:48</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_a5b8e2387d7a0c23ca9eb8b50a6d3f529"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#a5b8e2387d7a0c23ca9eb8b50a6d3f529">ExpansionSettingBase::SettingName</a></div><div class="ttdeci">string SettingName()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00124">expansionsettingbase.c:124</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_a61d8e1b05f7a562841a0e9f037f80b51"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#a61d8e1b05f7a562841a0e9f037f80b51">ExpansionSettingBase::Save</a></div><div class="ttdeci">bool Save()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00059">expansionsettingbase.c:59</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_a8d356fb5e72b05b84c90400345d88286"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#a8d356fb5e72b05b84c90400345d88286">ExpansionSettingBase::IsLoaded</a></div><div class="ttdeci">bool IsLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00090">expansionsettingbase.c:90</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_a94a078402154b55ebee796629776ecfe"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#a94a078402154b55ebee796629776ecfe">ExpansionSettingBase::Copy</a></div><div class="ttdeci">bool Copy(ExpansionSettingBase setting)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00096">expansionsettingbase.c:96</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_a9d3ac80f7dc4f5577bb1651bc7153a25"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#a9d3ac80f7dc4f5577bb1651bc7153a25">ExpansionSettingBase::Defaults</a></div><div class="ttdeci">void Defaults()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00085">expansionsettingbase.c:85</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_acb05e5dc646314b2f581553e9bda8ff3"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#acb05e5dc646314b2f581553e9bda8ff3">ExpansionSettingBase::OnRecieve</a></div><div class="ttdeci">bool OnRecieve(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00025">expansionsettingbase.c:25</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_ad541ae0da305802229fdbe9e5cf0cc0d"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#ad541ae0da305802229fdbe9e5cf0cc0d">ExpansionSettingBase::m_Version</a></div><div class="ttdeci">int m_Version</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00015">expansionsettingbase.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_af567e9cd8575d3e8619e78bc19b6b653"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#af567e9cd8575d3e8619e78bc19b6b653">ExpansionSettingBase::Unload</a></div><div class="ttdeci">void Unload()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00054">expansionsettingbase.c:54</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_af60828b24959acd49f10e7f0e2d334ba"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#af60828b24959acd49f10e7f0e2d334ba">ExpansionSettingBase::OnSave</a></div><div class="ttdeci">protected bool OnSave()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00079">expansionsettingbase.c:79</a></div></div>
<div class="ttc" id="aclass_expansion_setting_base_html_afd43d06c0590d6179f6f668ddfc6195b"><div class="ttname"><a href="../../d1/d15/class_expansion_setting_base.html#afd43d06c0590d6179f6f668ddfc6195b">ExpansionSettingBase::Send</a></div><div class="ttdeci">int Send(PlayerIdentity identity)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/expansionsettingbase_8c_source.html#l00102">expansionsettingbase.c:102</a></div></div>
<div class="ttc" id="aclass_expansion_settings_html"><div class="ttname"><a href="../../d5/d5b/class_expansion_settings.html">ExpansionSettings</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df0/expansionsettings_8c_source.html#l00013">expansionsettings.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_settings_html_acbdf65f6797e2926ba0078f63c2bd7aa"><div class="ttname"><a href="../../d5/d5b/class_expansion_settings.html#acbdf65f6797e2926ba0078f63c2bd7aa">ExpansionSettings::SI_Notification</a></div><div class="ttdeci">static ref ScriptInvoker SI_Notification</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df0/expansionsettings_8c_source.html#l00018">expansionsettings.c:18</a></div></div>
<div class="ttc" id="aexpansionannouncementtype_8c_html_a1c7965d526c42e57fa42d93f1ade3d98"><div class="ttname"><a href="../../d2/dc1/expansionannouncementtype_8c.html#a1c7965d526c42e57fa42d93f1ade3d98">ExpansionAnnouncementType</a></div><div class="ttdeci">ExpansionAnnouncementType</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc1/expansionannouncementtype_8c_source.html#l00013">expansionannouncementtype.c:14</a></div></div>
<div class="ttc" id="aexpansionconstants_8c_html_a06db7a6d7186f70450a327e170c14545"><div class="ttname"><a href="../../d4/d73/expansionconstants_8c.html#a06db7a6d7186f70450a327e170c14545">EXPANSION_NOTIFICATION_SETTINGS</a></div><div class="ttdeci">static const string EXPANSION_NOTIFICATION_SETTINGS</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d73/expansionconstants_8c_source.html#l00105">expansionconstants.c:105</a></div></div>
<div class="ttc" id="aexpansionnotificationsettings_8c_html_a247ed07682cde6d4195b4c88c6b51199"><div class="ttname"><a href="../../d6/d1d/expansionnotificationsettings_8c.html#a247ed07682cde6d4195b4c88c6b51199">CopyInternal</a></div><div class="ttdeci">private void CopyInternal(ExpansionNotificationSettings s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00165">expansionnotificationsettings.c:165</a></div></div>
<div class="ttc" id="aexpansionnotificationsettings_8c_html_a33fe4177403ae72a4198c7730faf90c0"><div class="ttname"><a href="../../d6/d1d/expansionnotificationsettings_8c.html#a33fe4177403ae72a4198c7730faf90c0">ShowPlayerLeftServer</a></div><div class="ttdeci">bool ShowPlayerLeftServer</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00021">expansionnotificationsettings.c:21</a></div></div>
<div class="ttc" id="aexpansionnotificationsettings_8c_html_a350ae408434f5d5df10efac29fe50e77"><div class="ttname"><a href="../../d6/d1d/expansionnotificationsettings_8c.html#a350ae408434f5d5df10efac29fe50e77">JoinMessageType</a></div><div class="ttdeci">ExpansionAnnouncementType JoinMessageType</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00020">expansionnotificationsettings.c:20</a></div></div>
<div class="ttc" id="aexpansionnotificationsettings_8c_html_a4ee6e59c4088f372f4d25371a6ed407c"><div class="ttname"><a href="../../d6/d1d/expansionnotificationsettings_8c.html#a4ee6e59c4088f372f4d25371a6ed407c">EnableNotification</a></div><div class="ttdeci">bool EnableNotification</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00018">expansionnotificationsettings.c:18</a></div></div>
<div class="ttc" id="aexpansionnotificationsettings_8c_html_a5521ad2d5fb3360b7943c9cbc422642a"><div class="ttname"><a href="../../d6/d1d/expansionnotificationsettings_8c.html#a5521ad2d5fb3360b7943c9cbc422642a">m_IsLoaded</a></div><div class="ttdeci">private bool m_IsLoaded</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00097">expansionnotificationsettings.c:97</a></div></div>
<div class="ttc" id="aexpansionnotificationsettings_8c_html_a822167ba5946da697710409245682433"><div class="ttname"><a href="../../d6/d1d/expansionnotificationsettings_8c.html#a822167ba5946da697710409245682433">LeftMessageType</a></div><div class="ttdeci">ExpansionAnnouncementType LeftMessageType</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00022">expansionnotificationsettings.c:22</a></div></div>
<div class="ttc" id="aexpansionnotificationsettings_8c_html_a8c0083b3473c42bd6532690decbe7a78"><div class="ttname"><a href="../../d6/d1d/expansionnotificationsettings_8c.html#a8c0083b3473c42bd6532690decbe7a78">ShowPlayerJoinServer</a></div><div class="ttdeci">bool ShowPlayerJoinServer</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansionnotificationsettings_8c_source.html#l00019">expansionnotificationsettings.c:19</a></div></div>
<div class="ttc" id="aexpansionnotificationsettings_8c_html_ae48ea820d6b3acc7353b763034c772af"><div class="ttname"><a href="../../d6/d1d/expansionnotificationsettings_8c.html#ae48ea820d6b3acc7353b763034c772af">VERSION</a></div><div class="ttdeci">VERSION</div></div>
<div class="ttc" id="aexpansionnotificationsystem_8c_html_a008eb1c448c351e3e58145acc877a40f"><div class="ttname"><a href="../../de/dfc/expansionnotificationsystem_8c.html#a008eb1c448c351e3e58145acc877a40f">Error</a></div><div class="ttdeci">void Error(PlayerIdentity identity=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dfc/expansionnotificationsystem_8c_source.html#l00163">expansionnotificationsystem.c:163</a></div></div>
<div class="ttc" id="aexpansionrpc_8c_html_a2f909deb4892593626f98b201415d514"><div class="ttname"><a href="../../d7/dfd/expansionrpc_8c.html#a2f909deb4892593626f98b201415d514">ExpansionSettingsRPC</a></div><div class="ttdeci">ExpansionSettingsRPC</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dfd/expansionrpc_8c_source.html#l00245">expansionrpc.c:246</a></div></div>
<div class="ttc" id="aexpansionrpc_8c_html_abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68"><div class="ttname"><a href="../../d7/dfd/expansionrpc_8c.html#abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68">Update</a></div><div class="ttdeci">@ Update</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dfd/expansionrpc_8c_source.html#l00280">expansionrpc.c:280</a></div></div>
<div class="ttc" id="aexpansionstatic_8c_html_a360b77a21b7b48591e2d244da9c12d7e"><div class="ttname"><a href="../../d2/d36/expansionstatic_8c.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a></div><div class="ttdeci">static void EXPrint(string s, string prefix=&quot; [EXPANSION DEBUG]: &quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d36/expansionstatic_8c_source.html#l00027">expansionstatic.c:27</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_43c391425ddc8e268db9c53616324f54.html">settings</a></li><li class="navelem"><a class="el" href="../../dir_81d1360463ebc53a0dee2391aee8d71e.html">notifications</a></li><li class="navelem"><a class="el" href="../../d6/d1d/expansionnotificationsettings_8c.html">expansionnotificationsettings.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
